Package io.vertx.micrometer

## Interface PrometheusRequestHandler

-     public interface PrometheusRequestHandler

  An interface for creating handlers to expose Prometheus metrics via an HTTP endpoint.

  This interface provides factory methods to create handlers that can scrape metrics from a PrometheusMeterRegistry and serve them over HTTP. It allows for various configurations of the metrics endpoint and the Prometheus registry.

  Author:
    Swamy Mavuri
  See Also:
    `PrometheusMeterRegistry`, `Handler`, `HttpServerRequest`

- - ### Method Summary

    Static Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Handler<HttpServerRequest>` | `create()` | Creates a handler with a new PrometheusMeterRegistry and the default metrics endpoint ("/metrics").
    `static Handler<HttpServerRequest>` | `create​(io.micrometer.prometheusmetrics.PrometheusMeterRegistry registry)` | Creates a handler with the specified PrometheusMeterRegistry and the default metrics endpoint ("/metrics").
    `static Handler<HttpServerRequest>` | `create​(io.micrometer.prometheusmetrics.PrometheusMeterRegistry registry, String metricsEndpoint)` | Creates a handler with the specified PrometheusMeterRegistry and metrics endpoint.

- - ### Method Detail

    - #### create

          static Handler<HttpServerRequest> create​(io.micrometer.prometheusmetrics.PrometheusMeterRegistry registry,
                                                   String metricsEndpoint)

      Creates a handler with the specified PrometheusMeterRegistry and metrics endpoint.

      This handler scrapes metrics from the given PrometheusMeterRegistry and serves them at the specified endpoint.

      Parameters:
        `registry` - the PrometheusMeterRegistry to use for scraping metrics
        `metricsEndpoint` - the endpoint to expose metrics
      Returns:
        a handler for scraping Prometheus metrics

    - #### create

          static Handler<HttpServerRequest> create​(io.micrometer.prometheusmetrics.PrometheusMeterRegistry registry)

      Creates a handler with the specified PrometheusMeterRegistry and the default metrics endpoint ("/metrics").

      This handler scrapes metrics from the given PrometheusMeterRegistry and serves them at the default endpoint "/metrics".

      Parameters:
        `registry` - the PrometheusMeterRegistry to use for scraping metrics
      Returns:
        a handler for scraping Prometheus metrics

    - #### create

          static Handler<HttpServerRequest> create()

      Creates a handler with a new PrometheusMeterRegistry and the default metrics endpoint ("/metrics").

      This handler scrapes metrics from a newly created PrometheusMeterRegistry and serves them at the default endpoint "/metrics".

      Returns:
        a handler for scraping Prometheus metrics